QHBox(3qt)

NAME
QHBox - Horizontal geometry management for its child widgets

SYNOPSIS
#include <qhbox.h>

Inherits QFrame.

Inherited by QVBox.

  Public Members
QHBox ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
void setSpacing ( int space )
bool setStretchFactor ( QWidget * w, int stretch )

  Protected Members
QHBox ( bool horizontal, QWidget * parent, const char * name, WFlags f = 0 )

DESCRIPTION
The QHBox widget provides horizontal geometry management for its child widgets.

All the horizontal box's child widgets will be placed alongside each other and sized according to their sizeHint()s.

Use setMargin() to add space around the edges, and use setSpacing() to add space between the widgets. Use setStretchFactor() if you want the widgets to be different sizes in proportion to one another. (See Layouts for more information on stretch factors.)

<center>
[Image Omitted]

</center>

See also QHBoxLayout, QVBox, QGrid, Widget Appearance and Style, Layout Management, and Organizers.

MEMBER FUNCTION DOCUMENTATION

QHBox::QHBox ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
Constructs an hbox widget with parent parent, called name. The parent, name and widget flags, f, are passed to the QFrame constructor.

QHBox::QHBox ( bool horizontal, QWidget * parent, const char * name, WFlags f = 0 ) [protected]
Constructs a horizontal hbox if horizontal is TRUE, otherwise constructs a vertical hbox (also known as a vbox).

This constructor is provided for the QVBox class. You should never need to use it directly.

The parent, name and widget flags, f, are passed to the QFrame constructor.

void QHBox::setSpacing ( int space )
Sets the spacing between the child widgets to space.

Examples:

bool QHBox::setStretchFactor ( QWidget * w, int stretch )
Sets the stretch factor of widget w to stretch. Returns TRUE if w is found. Otherwise returns FALSE.

See also QBoxLayout::setStretchFactor() and Layouts.

SEE ALSO
http://doc.trolltech.com/qhbox.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhbox.3) and the Qt version (3.3.4).